CGAL 6.1.2 - 3D Polyhedral Surface

Loading...
Searching...
No Matches
Classes | Enumerations | Functions
CGAL::IO Namespace Reference

## Classes
class | Color

## Enumerations
enum | Mode

## Functions
Output_rep< T > | oformat (const T &t)
Output_rep< T, F > | oformat (const T &t, F format)
Input_rep< T > | iformat (T &t)
Mode | get_mode (std::ios &s)
Mode | set_ascii_mode (std::ios &s)
Mode | set_binary_mode (std::ios &s)
Mode | set_pretty_mode (std::ios &s)
Mode | set_mode (std::ios &s, Mode m)
bool | is_pretty (std::ios &s)
bool | is_ascii (std::ios &s)
bool | is_binary (std::ios &s)
bool | read_polygon_soup (const std::string &fname, PointRange &points, PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | write_polygon_soup (const std::string &fname, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | read_STL (std::istream &is, PointRange &points, TriangleRange &facets, const NamedParameters &np=parameters::default_values())
bool | read_STL (const std::string &fname, PointRange &points, TriangleRange &facets, const NamedParameters &np=parameters::default_values())
bool | write_STL (std::ostream &os, const PointRange &points, const TriangleRange &facets, const NamedParameters &np=parameters::default_values())
bool | write_STL (const std::string &fname, const PointRange &points, const TriangleRange &facets, const NamedParameters &np=parameters::default_values())
bool | read_PLY (std::istream &is, PointRange &points, PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | read_PLY (const std::string &fname, PointRange &points, PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | write_PLY (std::ostream &out, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | write_PLY (const std::string &fname, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | read_OBJ (std::istream &is, PointRange &points, PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | read_OBJ (const std::string &fname, PointRange &points, PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | write_OBJ (std::ostream &os, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | write_OBJ (const std::string &fname, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | read_OFF (std::istream &is, PointRange &points, PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | read_OFF (const std::string &fname, PointRange &points, PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | write_OFF (std::ostream &os, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | write_OFF (const std::string &fname, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | read_VTP (const std::string &fname, PointRange &points, PolygonRange &polygons)
bool | read_VTK (const std::string &fname, PointRange &points, PolygonRange &polygons)
bool | write_VTP (std::ostream &os, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | write_VTP (const std::string &fname, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | read_GOCAD (std::istream &is, PointRange &points, PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | read_GOCAD (const std::string &fname, PointRange &points, PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | write_GOCAD (std::ostream &os, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | write_GOCAD (const std::string &fname, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
bool | read_point_WKT (std::istream &in, Point &point)
bool | read_multi_point_WKT (std::istream &in, MultiPoint &mp)
bool | read_linestring_WKT (std::istream &in, LineString &polyline)
bool | read_multi_linestring_WKT (std::istream &in, MultiLineString &mls)
bool | read_polygon_WKT (std::istream &in, Polygon &polygon)
bool | read_multi_polygon_WKT (std::istream &in, MultiPolygon &polygons)
std::ostream & | write_point_WKT (std::ostream &out, const Point &point)
std::ostream & | write_polygon_WKT (std::ostream &out, const Polygon &poly)
std::ostream & | write_linestring_WKT (std::ostream &out, LineString ls)
std::ostream & | write_multi_point_WKT (std::ostream &out, MultiPoint &mp)
std::ostream & | write_multi_polygon_WKT (std::ostream &out, MultiPolygon &polygons)
std::ostream & | write_multi_linestring_WKT (std::ostream &out, MultiLineString &mls)
bool | read_WKT (std::istream &is, MultiPoint &points, MultiLineString &polylines, MultiPolygon &polygons)
bool | read_3MF (const std::string &fname, PointRanges &all_points, TriangleRanges &all_triangles, ColorRanges &all_colors, std::vector< std::string > &names)
bool | write_3MF (const std::string &fname, const PointRanges &all_points, const TriangleRanges &all_triangles, const std::vector< std::string > &names)
bool | read_polygon_mesh (const std::string &fname, Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_polygon_mesh (const std::string &fname, Graph &g, const NamedParameters &np=parameters::default_values())
bool | read_STL (std::istream &is, Graph &g, const NamedParameters &np)
bool | read_STL (const std::string &fname, Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_STL (std::ostream &os, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_STL (const std::string &fname, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | read_PLY (std::istream &is, Graph &g, const NamedParameters &np=parameters::default_values())
bool | read_PLY (const std::string &fname, Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_PLY (std::ostream &os, const Graph &g, const std::string &comments, const NamedParameters &np=parameters::default_values())
bool | write_PLY (const std::string &fname, const Graph &g, const std::string &comments, const NamedParameters &np=parameters::default_values())
bool | read_OBJ (std::istream &is, Graph &g, const NamedParameters &np=parameters::default_values())
bool | read_OBJ (const std::string &fname, Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_OBJ (std::ostream &os, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_OBJ (const std::string &fname, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | read_OM (const std::string &fname, Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_OM (const std::string &fname, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | read_OFF (std::istream &is, Graph &g, const NamedParameters &np=parameters::default_values())
bool | read_OFF (const std::string &fname, Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_OFF (std::ostream &os, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_OFF (const std::string &fname, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | read_VTP (const std::string &fname, Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_VTP (std::ostream &os, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_VTP (const std::string &fname, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | read_GOCAD (std::istream &is, std::pair< std::string, std::string > &name_and_color, Graph &g, const NamedParameters &np=parameters::default_values())
bool | read_GOCAD (const std::string &fname, std::pair< std::string, std::string > &name_and_color, Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_GOCAD (std::ostream &os, const char *name, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_GOCAD (std::ostream &os, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_GOCAD (const std::string &fname, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_WRL (std::ostream &os, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_WRL (const std::string &fname, const Graph &g, const NamedParameters &np=parameters::default_values())
bool | write_3MF (const std::string &filename, const GraphRange &gs, const std::vector< std::string > &names)
template<class Traits >
bool | read_OFF (std::istream &in, CGAL::Polyhedron_3< Traits > &P)
| reads a polyhedral surface in Object File Format, OFF, with file extension `.off`, from the input stream `in` and appends it to the polyhedral surface \( P\).
template<class Traits >
bool | read_off (std::istream &in, CGAL::Polyhedron_3< Traits > &P)
template<class Traits >
bool | write_OFF (std::ostream &out, const CGAL::Polyhedron_3< Traits > &P)
| writes the polyhedral surface \(P\) to the output stream `out` using the Object File Format, OFF, with file extension `.off`.
template<class Traits >
bool | write_off (std::ostream &out, const CGAL::Polyhedron_3< Traits > &P)

## Function Documentation

## ◆ read_off()

template<class Traits >

bool CGAL::IO::read_off | ( | std::istream & | in,
|  | CGAL::Polyhedron_3< Traits > & | P
| ) |  |

Deprecated:
  This function is deprecated since CGAL 5.3, read_OFF(std::istream&, Polyhedron_3<Traits>&) should be used instead.

## ◆ write_off()

template<class Traits >

bool CGAL::IO::write_off | ( | std::ostream & | out,
|  | const CGAL::Polyhedron_3< Traits > & | P
| ) |  |

Deprecated:
  This function is deprecated since CGAL 5.3, CGAL::IO::write_OFF(std::ostream&, const Polyhedron_3<Traits>&) should be used instead.